# Interface WritableStreamDefaultController

This Streams API interface represents a controller allowing control of a WritableStream's state. When constructing a WritableStream, the underlying sink is given a corresponding WritableStreamDefaultController instance to manipulate.

interface WritableStreamDefaultController {
error(e?): void;
}

- Defined in node_modules/@types/node/stream/web.d.ts:267
- Defined in node_modules/@types/node/stream/web.d.ts:270

#####
Index

### Methods

error

## Methods

### error

- error(e?): void

- #### Parameters

  - `Optional` e: any

  #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:268